## org.eclipse.wst.validation
Class Validator.V1.V1Copy

    java.lang.Object
      org.eclipse.wst.validation.Validator
          org.eclipse.wst.validation.Validator.V1
              org.eclipse.wst.validation.Validator.V1.V1Copy

All Implemented Interfaces:
  java.lang.Comparable<Validator>

Enclosing class:
  Validator.V1

    public static final class Validator.V1.V1Copy

extends Validator.V1

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.wst.validation.Validator.V1
`Validator.V1.V1Copy`

Nested classes/interfaces inherited from class org.eclipse.wst.validation.Validator
`Validator.Level, Validator.V1, Validator.V2`

Constructor Summary
`Validator.V1.V1Copy(ValidatorMetaData vmd, ValidationConfiguration vc, IProject project)`

Method Summary
`boolean` `setBuildValidation(boolean bool)` Set whether this validator should be triggered by the build process.
`boolean` `setManualValidation(boolean bool)` Set whether this validator should be triggered as part of a manual validation.

Methods inherited from class org.eclipse.wst.validation.Validator.V1
`asIValidator, asV1Validator, copy, getId, getName, getValidatorClassname, getVmd, validate, validationFinishing`

Methods inherited from class org.eclipse.wst.validation.Validator

`asV2Validator, bumpChangeCountGlobal, bumpChangeCountMessages, clean, compareTo, copy, create, create, getChangeCountGlobal, getChangeCountMessages, getDelegatingId, getMarkerId, getMessage, getMessageSettings, getProject, getSourceId, getVersion, hasGlobalChanges, hashCodeForConfig, isBuildValidation, isChanged, isManualValidation, resetChangeCounters, sameConfig, setDelegatingId, setMarkerId, setSourceId, setVersion, shouldClearMarkers, shouldValidate, shouldValidate, shouldValidateProject, shouldValidateProject, toString, validate, validationStarting`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Validator.V1.V1Copy

    public Validator.V1.V1Copy(ValidatorMetaData vmd,
                               ValidationConfiguration vc,
                               IProject project)

Method Detail

### setManualValidation

    public boolean setManualValidation(boolean bool)

  Description copied from class: `Validator`
  Set whether this validator should be triggered as part of a manual validation.

  Overrides:
    `setManualValidation` in class `Validator.V1`
  Returns:
    true if the setting changed.

### setBuildValidation

    public boolean setBuildValidation(boolean bool)

  Description copied from class: `Validator`
  Set whether this validator should be triggered by the build process.

  Overrides:
    `setBuildValidation` in class `Validator.V1`
  Returns:
    true if the setting changed.